Bug 1466523 - Review Request: python-blurb - Command-line tool to manage CPython Misc/NEWS.d entries
Review Request: python-blurb - Command-line tool to manage CPython Misc/NEWS....
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Charalampos Stratakis
Fedora Extras Quality Assurance
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2017-06-29 17:34 EDT by Miro Hrončok
Modified: 2017-07-28 13:20 EDT (History)
2 users (show)

See Also:
Fixed In Version: python-blurb-1.0.0-1.post1.fc27
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2017-07-28 13:20:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cstratak: fedora‑review+

Attachments (Terms of Use)

  None (edit)
Description Miro Hrončok 2017-06-29 17:34:29 EDT
Spec URL: https://churchyard.fedorapeople.org/SRPMS/python-blurb.spec
SRPM URL: https://churchyard.fedorapeople.org/SRPMS/python-blurb-1.0.0-1.post1.fc26.src.rpm
Description: Blurb is a tool designed to rid CPython core development of the scourge of
Misc/NEWS conflicts.

Fedora Account System Username: churchyard
Comment 1 Charalampos Stratakis 2017-07-04 05:31:57 EDT
The package should have a runtime requirement on git. Invoking the cli produces a traceback without it.

<mock-chroot> sh-4.4# blurb
Traceback (most recent call last):
  File "/usr/bin/blurb", line 11, in <module>
  File "/usr/lib/python3.6/site-packages/blurb.py", line 1432, in main
  File "/usr/lib/python3.6/site-packages/blurb.py", line 621, in chdir_to_repo_root
    run("git log -r 7f777ed95a19224294949e1b4ce56bbffcb1fe9f")
  File "/usr/lib/python3.6/site-packages/blurb.py", line 613, in run
    process = subprocess.run(s.split(), stdout=subprocess.PIPE, stderr=subprocess.PIPE)
  File "/usr/lib64/python3.6/subprocess.py", line 403, in run
    with Popen(*popenargs, **kwargs) as process:
  File "/usr/lib64/python3.6/subprocess.py", line 707, in __init__
    restore_signals, start_new_session)
  File "/usr/lib64/python3.6/subprocess.py", line 1326, in _execute_child
    raise child_exception_type(errno_num, err_msg)
FileNotFoundError: [Errno 2] No such file or directory: 'git'
Comment 3 Charalampos Stratakis 2017-07-19 10:38:34 EDT
Package Review

[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "BSD (3 clause)"
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

[x]: Python eggs must not download any dependencies during the build
[x]: A package which is used by another package via an egg interface should
     provide egg info.
Note: dist-info is provided here since the package is built as wheel.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.

Checking: python3-blurb-1.0.0-1.post1.fc27.noarch.rpm
python3-blurb.noarch: W: no-manual-page-for-binary blurb
2 packages and 0 specfiles checked; 0 errors, 1 warnings.

Rpmlint (installed packages)
sh: /usr/bin/python: No such file or directory
python3-blurb.noarch: W: no-manual-page-for-binary blurb
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

python3-blurb (rpmlib, GLIBC filtered):


Source checksums
https://files.pythonhosted.org/packages/source/b/blurb/blurb-1.0.0.post1.tar.gz :
  CHECKSUM(SHA256) this package     : c5365e80872c6d29ace7b976f039d8c9f48cbe9fd084715adf07c9f55060180b
  CHECKSUM(SHA256) upstream package : c5365e80872c6d29ace7b976f039d8c9f48cbe9fd084715adf07c9f55060180b

Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1466523 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Comment 4 Charalampos Stratakis 2017-07-19 10:39:08 EDT
Doing some testing as well on a local CPython repo before I provide the flag.
Comment 5 Charalampos Stratakis 2017-07-19 11:01:37 EDT
The package works.

After making changes at the cpython sources, just running blurb in the repository will bring up a text editor where you add the issue number from bugs.python.org, the type of the fix out of some categories, as well as the Misc/News entry. Saving that will add those changes to the staging area.

Another observation. If the GIT_EDITOR or the EDITOR variables are not set it will fall back to the nano text editor [0]. I'd argue that it would be better to fall back to vi (as git does the same), but that could be debated upstream.

Package accepted.
Comment 7 Miro Hrončok 2017-07-19 11:07:11 EDT
Comment 8 Gwyn Ciesla 2017-07-19 18:56:26 EDT
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/python-blurb
Comment 9 Miro Hrončok 2017-07-20 04:11:57 EDT
Built in rawhide only, as the flit version in F26 is too low.
Comment 10 Miro Hrončok 2017-07-20 05:37:28 EDT
Oh, flit has been updated, so I can build this on F26 as well.
Comment 11 Fedora Update System 2017-07-20 07:50:38 EDT
python-blurb-1.0.0-1.post1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-cc3308b985
Comment 12 Fedora Update System 2017-07-20 21:23:02 EDT
python-blurb-1.0.0-1.post1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-cc3308b985
Comment 13 Fedora Update System 2017-07-28 13:20:01 EDT
python-blurb-1.0.0-1.post1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.